Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.async.bio
Class BlockingServer

    java.lang.Object
      org.jboss.remoting.transport.async.bio.BlockingServer

All Implemented Interfaces:
  ChannelServer, Runnable

public final class BlockingServer
extends Object
implements Runnable, ChannelServer

Provides a Blocking implemenation of the AsynchChannelServer interface. Sets up a blocking ServerSocket to accept blocking client connections.

Author:
  Hiram Chirino

Constructor Summary
`BlockingServer()`

Method Summary
`void` | `bind(InvokerLocator localURI)` Binds the server to network resource.
`void` | `close()` releases all network resources.
`InvokerLocator` | `getLocalURI()` The URI that the server is bound to.
`void` | `run()`
`void` | `start()` Starts the server so that it will accept new channels.
`void` | `stop()` Stops the server from accepting any more channels.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockingServer

    public BlockingServer()

Method Detail

### bind

    public void bind(InvokerLocator localURI)
              throws IOException

  Description copied from interface: `ChannelServer`
  Binds the server to network resource.

  Specified by:
    `bind` in interface `ChannelServer`
  Throws:
    `IOException`

### getLocalURI

    public InvokerLocator getLocalURI()

  Description copied from interface: `ChannelServer`
  The URI that the server is bound to. Asynch channels can be establsihed to this uri.

  Specified by:
    `getLocalURI` in interface `ChannelServer`
  Returns:

### start

    public void start()
               throws IOException

  Description copied from interface: `ChannelServer`
  Starts the server so that it will accept new channels.

  Specified by:
    `start` in interface `ChannelServer`
  Throws:
    `IOException`

### stop

    public void stop()

  Description copied from interface: `ChannelServer`
  Stops the server from accepting any more channels.

  Specified by:
    `stop` in interface `ChannelServer`

### close

    public void close()

  Description copied from interface: `ChannelServer`
  releases all network resources.

  Specified by:
    `close` in interface `ChannelServer`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.